OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_AsciiText Class Reference

defines a AsciiText node of VRML specifying geometry shapes.
This node represents strings of text characters from ASCII coded
character set. All subsequent strings advance y by -( size * spacing).
The justification field determines the placement of the strings in the x
dimension. LEFT (the default) places the left edge of each string at x=0.
CENTER places the center of each string at x=0. RIGHT places the right edge
of each string at x=0. Text is rendered from left to right, top to
bottom in the font set by FontStyle.
The default value for the wigth field indicates the natural width
should be used for that string.

`#include <Vrml_AsciiText.hxx>`

## Public Member Functions
Standard_EXPORT | Vrml_AsciiText ()
Standard_EXPORT | Vrml_AsciiText (const Handle(TColStd_HArray1OfAsciiString)&aString, const Standard_Real aSpacing, const Vrml_AsciiTextJustification aJustification, const Standard_Real aWidth)
Standard_EXPORT void | SetString (const Handle(TColStd_HArray1OfAsciiString)&aString)
Standard_EXPORT Handle_TColStd_HArray1OfAsciiString | String () const
Standard_EXPORT void | SetSpacing (const Standard_Real aSpacing)
Standard_EXPORT Standard_Real | Spacing () const
Standard_EXPORT void | SetJustification (const Vrml_AsciiTextJustification aJustification)
Standard_EXPORT Vrml_AsciiTextJustification | Justification () const
Standard_EXPORT void | SetWidth (const Standard_Real aWidth)
Standard_EXPORT Standard_Real | Width () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColStd_HArray1OfAsciiString | myString
Standard_Real | mySpacing
Vrml_AsciiTextJustification | myJustification
Standard_Real | myWidth

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_AsciiText::Vrml_AsciiText | ( |  | ) |

Standard_EXPORT Vrml_AsciiText::Vrml_AsciiText | ( | const Handle(TColStd_HArray1OfAsciiString)& | aString,
|  | const Standard_Real | aSpacing,
|  | const Vrml_AsciiTextJustification | aJustification,
|  | const Standard_Real | aWidth
| ) |

## Member Function Documentation

Standard_EXPORT const Vrml_AsciiText::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Vrml_AsciiTextJustification Vrml_AsciiText::Justification | ( |  | ) | const

Standard_EXPORT Standard_OStream& Vrml_AsciiText::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_AsciiText::SetJustification | ( | const Vrml_AsciiTextJustification | aJustification | ) |

Standard_EXPORT void Vrml_AsciiText::SetSpacing | ( | const Standard_Real | aSpacing | ) |

Standard_EXPORT void Vrml_AsciiText::SetString | ( | const Handle(TColStd_HArray1OfAsciiString)& | aString | ) |

Standard_EXPORT void Vrml_AsciiText::SetWidth | ( | const Standard_Real | aWidth | ) |

Standard_EXPORT Standard_Real Vrml_AsciiText::Spacing | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HArray1OfAsciiString Vrml_AsciiText::String | ( |  | ) | const

Standard_EXPORT Standard_Real Vrml_AsciiText::Width | ( |  | ) | const

## Field Documentation

Vrml_AsciiTextJustification Vrml_AsciiText::myJustification`[private]`

Standard_Real Vrml_AsciiText::mySpacing`[private]`

Handle_TColStd_HArray1OfAsciiString Vrml_AsciiText::myString`[private]`

Standard_Real Vrml_AsciiText::myWidth`[private]`

The documentation for this class was generated from the following file:

- Vrml_AsciiText.hxx